Name:           python-websockify
Version:        0.6.0
Release:        5%{?dist}
Summary:        WSGI based adapter for the Websockets protocol

License:        LGPLv3
URL:            https://github.com/kanaka/websockify
Source0:        https://github.com/kanaka/websockify/archive/v%{version}.tar.gz#/websockify-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

Requires:       python-setuptools
Requires:       python%{python3_pkgversion}-setuptools

Patch0:         big-endian.patch

%description
Python WSGI based adapter for the Websockets protocol

%package -n python%{python3_pkgversion}-websockify
Summary:        WSGI based adapter for the Websockets protocol
%{?python_provide:%python_provide python%{python3_pkgversion}-websockify}

%description -n python%{python3_pkgversion}-websockify
Python WSGI based adapter for the Websockets protocol

%prep
%autosetup -n websockify-%{version} -p1

# TODO: Have the following handle multi line entries
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd
mv %{buildroot}%{_bindir}/websockify %{buildroot}%{_bindir}/websockify%{python3_version}

%py2_install

#%%{__python} setup.py install -O1 --skip-build --root %%{buildroot}

rm -Rf %{buildroot}/usr/share/websockify
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 444 docs/websockify.1 %{buildroot}%{_mandir}/man1/


%files -n python-websockify
%doc LICENSE.txt docs
%{_mandir}/man1/websockify.1*
%{python2_sitelib}/websockify/*
%{python2_sitelib}/websockify-%{version}-py?.?.egg-info
%{_bindir}/websockify

%files -n python%{python3_pkgversion}-websockify
%doc LICENSE.txt docs
%{_mandir}/man1/websockify.1*
%{python3_sitelib}/websockify/*
%{python3_sitelib}/websockify-%{version}-py?.?.egg-info
%{_bindir}/websockify%{python3_version}


%changelog
* Mon Apr 03 2023 Jonathan Wright <jonathan@almalinux.org> - 0.6.0-5
- Fix shebang in /usr/bin/websockify rhbz#2183970

* Wed Jan 25 2023 Jonathan Wright <jonathan@almalinux.org> - 0.6.0-4
- Add proper provides for python36 package

* Wed Jan 25 2023 Jonathan Wright <jonathan@almalinux.org> - 0.6.0-3
- Build python36-websockify rhbz#1890583

* Wed Apr 29 2015 Pádraig Brady <pbrady@redhat.com> - 0.6.0-2
- Support big endian systems - rhbz#1216219

* Mon Mar 23 2015 Nikola Đipanov <ndipanov@redhat.com> - 0.6.0-1
- Update to release 0.6.0

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 10 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.5.1-1
- Update to release 0.5.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Pádraig Brady <P@draigBrady.com> - 0.4.1-1
- Update to release 0.4.1

* Tue Mar 12 2013 Pádraig Brady <P@draigBrady.com> - 0.2.0-4
- Add runtime dependency on setuptools

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Pádraig Brady <P@draigBrady.com> - 0.2.0-2
- Remove hard dependency on numpy

* Mon Oct 22 2012 Nikola Đipanov <ndipanov@redhat.com> - 0.2.0-1
- Moving to the upstream version 0.2.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 6 2012 Adam Young <ayoung@redhat.com> - 0.1.0-4
- Added Description
- Added Manpage

* Fri May 11 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.1.0-2
- spec cleanup

* Thu May 10 2012 Adam Young <ayoung@redhat.com> - 0.1.0-1
- Initial RPM release.
